Bug 169416 - games/tuxtype: Fix build
Summary: games/tuxtype: Fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Armin Pirkovitsch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-25 19:10 UTC by tkato432
Modified: 2012-07-19 18:47 UTC (History)
0 users

See Also:


Attachments
file.diff (1.44 KB, patch)
2012-06-25 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-06-25 19:10:12 UTC
- Fix build

New file:
files/patch-t4k_loaders.c
Comment 1 Edwin Groothuis freebsd_committer 2012-06-25 19:11:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Armin Pirkovitsch freebsd_committer 2012-07-17 08:58:36 UTC
Responsible Changed
From-To: miwi->sperber

miwi asked me to take it.
Comment 3 dfilter service freebsd_committer 2012-07-19 18:34:38 UTC
Author: sperber
Date: Thu Jul 19 17:34:24 2012
New Revision: 301172
URL: http://svn.freebsd.org/changeset/ports/301172

Log:
  - Fix build
  - Remove trailing spaces
  
  PR:           ports/169416
  Submitted by: KATO Tsuguru <tkato432 _at_ yahoo.com>
  Approved by:  beat (mentor)

Added:
  head/games/tuxtype/files/
  head/games/tuxtype/files/patch-t4k_loaders.c   (contents, props changed)
Modified:
  head/games/tuxtype/Makefile   (contents, props changed)

Modified: head/games/tuxtype/Makefile
==============================================================================
--- head/games/tuxtype/Makefile	Thu Jul 19 17:33:43 2012	(r301171)
+++ head/games/tuxtype/Makefile	Thu Jul 19 17:34:24 2012	(r301172)
@@ -21,8 +21,6 @@ LICENSE=	GPLv3 # (or later)
 
 BUILD_DEPENDS=	gsed:${PORTSDIR}/textproc/gsed
 
-BROKEN=		does not compile
-
 OPTIONS_DEFINE=	NLS SVG DOCS
 OPTIONS_DEFAULT=	SVG
 
@@ -40,7 +38,7 @@ CONFIGURE_ENV=	T4K_COMMON_CFLAGS="-I${T4
 MAKE_JOBS_SAFE=	yes
 
 CPPFLAGS+=	$$(pkg-config --cflags SDL_Pango) -I${LOCALBASE}/include \
-		-DHAVE_ALPHASORT -DHAVE_SCANDIR -DHAVE_FSYNC -DICONV_CONST="" 
+		-DHAVE_ALPHASORT -DHAVE_SCANDIR -DHAVE_FSYNC -DICONV_CONST=""
 LDFLAGS+=	$$(pkg-config --libs SDL_Pango) -L${LOCALBASE}/lib
 
 T4K_NAME=	t4k_common
@@ -51,6 +49,7 @@ T4K_WRKSRC=	${WRKDIR}/${T4K_NAME}-${T4K_
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MNLS}
+USE_GETTEXT=	yes
 PLIST_SUB+=	NLS=""
 .else
 CONFIGURE_ARGS+=--disable-nls

Added: head/games/tuxtype/files/patch-t4k_loaders.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/tuxtype/files/patch-t4k_loaders.c	Thu Jul 19 17:34:24 2012	(r301172)
@@ -0,0 +1,18 @@
+--- ../t4k_common/src/t4k_loaders.c.orig	2011-04-08 11:46:07.000000000 +0900
++++ ../t4k_common/src/t4k_loaders.c	2012-06-17 18:57:09.000000000 +0900
+@@ -1028,12 +1028,9 @@
+       {
+         png_init_io(png_ptr, fi);
+ 
+-        info_ptr->width = surf->w;
+-        info_ptr->height = surf->h;
+-        info_ptr->bit_depth = 8;
+-        info_ptr->color_type = PNG_COLOR_TYPE_RGB_ALPHA;
+-        info_ptr->interlace_type = 1;
+-        info_ptr->valid = 0;	/* will be updated by various png_set_FOO() functions */
++        png_set_IHDR(png_ptr, info_ptr, surf->w, surf->h, 8,
++                       PNG_COLOR_TYPE_RGB_ALPHA, 1,
++                       PNG_COMPRESSION_TYPE_BASE, PNG_FILTER_TYPE_BASE);
+ 
+         png_set_sRGB_gAMA_and_cHRM(png_ptr, info_ptr,
+                        PNG_sRGB_INTENT_PERCEPTUAL);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Armin Pirkovitsch freebsd_committer 2012-07-19 18:47:32 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!